Article ID: 125241, created on May 28, 2015, last review on May 28, 2015

  • Applies to:
  • Business Automation 6.0
  • Web Presence Builder
  • Plesk for Linux/Unix

Consulta

Según el comunicado oficial de Google, AuthSub dejará de funcionar para las cuentas Google, ya que será reemplazado por OAuth 2.0.

¿Afectará este cambio al acceso a los servicios de Google desde Web Presence Builder?

Respuesta

Los usuarios de Web Presence Builder pueden utilizar distintos servicios de Google en sus sitios web que requieran el uso del protocolo AuthSub para realizar la autenticación desde Web Presence Builder:

  • Google Analytics
  • Picasa Web Albums

A partir del 20 de abril Google ya no soportará AuthSub y es posible que obtenga errores el utilizar los módulos detallados anteriormente.

Nota: los sitios existentes que utilicen Picasa Web Albums seguirán funcionando con normalidad incluso en el caso de volverlos a publicar.

Para evitar la aparición de errores en Web Presence Builder, realice los pasos detallados a continuación. Desactive los servicios de Google para los usuarios de Web Presence Builder:

  1. En el servidor Web Presence Builder, añada las siguientes líneas a la sección [general] del archivo /usr/local/sb/config:

    # vi /usr/local/sb/config
    [general]
    ...
    google_analytics_enabled = false
    picasa_enabled = false
    ...
    
  2. Si sigue obteniendo errores, desactive también los siguientes servicios:

    • Google Fonts
    • Google Maps
    • Google Site Search

      # vi /usr/local/sb/config
      [general]
      ...
      google_search_enabled = false
      google_fonts_enabled = false
      hidden_widgets= map
      ...
      
  3. Aplique el parche adjunto a este artículo.

    Nota: este paso solo puede aplicarse en una instalación de Web Presence Builder 12.0.7 (no en las versiones 12.0.6 o 12.0.5). Si utiliza una versión de Web Presence Builder distinta a la 12.0.7, considere instalar todas las actualizaciones más recientes tal y como se detalla en la documentación y efectúe los pasos descritos a continuación.

    1. Descargue el parche

      # wget http://kb.odin.com/Attachments/kcs-50014/ppb_12.0.7_patch_4435.zip
      
    2. Descomprima el parche descargado

      # unzip ppb_12.0.7_patch_4435.zip
      
    3. Cree un backup de los siguientes archivos

      # cp /usr/local/sb/htdocs/js/minimized/Editor.js{,.orig}
      # cp /usr/local/sb/htdocs/js/Sb/editor/SettingsPanel.js{,.orig}
      
    4. Reemplace estos archivos por los archivos presentes en el parche adjunto:

      # cp htdocs/js/minimized/Editor.js /usr/local/sb/htdocs/js/minimized/Editor.js
      # cp htdocs/js/Sb/editor/SettingsPanel.js /usr/local/sb/htdocs/js/Sb/editor/SettingsPanel.js
      

Próximamente se proporcionará un hotfix para este problema en este artículo.

9305481d3bd31663b68451e3bfdec5a5 56797cefb1efc9130f7c48a7d1db0f0c 29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 198398b282069eaf2d94a6af87dcb3ff caea8340e2d186a540518d08602aa065 614fd0b754f34d5efe9627f2057b8642 3627d36199b8ff577605df76e2fa222b bb7e9177fb03488961a3ea554120f328

Email subscription for changes to this article
Save as PDF